| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::LocalizeContainer Class Reference

The class LocalizeContainer encapsulates all spell-check and localize related settings.

## Public Member Functions
void | readFromConfig (const KConfigGroup &group)
void | writeToConfig (KConfigGroup &group) const

## Public Attributes
QStringList | alternativeLang
| List of langges to use with Alternative Languages Text editor.
QString | defaultLanguage
bool | enableSpellCheck = false
| Enable spell-checking feature.
QStringList | ignoredWords
| ‍Default language code to use with x-default (empty for auto-detection).
DOnlineTranslator::Engine | translatorEngine = DOnlineTranslator::Google
| Online translator to use.
QStringList | translatorLang
| List of langues to use with Online translator.

## Member Data Documentation

## ◆ ignoredWords

QStringList Digikam::LocalizeContainer::ignoredWords

Words to ignore with spell-checking.